Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model.property
Class Location

    java.lang.Object
      net.fortuna.ical4j.model.Content
          net.fortuna.ical4j.model.Property
              net.fortuna.ical4j.model.property.Location

All Implemented Interfaces:
  Serializable, Escapable

    public class Location

extends Property
implements Escapable

Defines a LOCATION iCalendar component property.

         4.8.1.7 Location

            Property Name: LOCATION

            Purpose: The property defines the intended venue for the activity
            defined by a calendar component.

            Value Type: TEXT

            Property Parameters: Non-standard, alternate text representation and
            language property parameters can be specified on this property.

            Conformance: This property can be specified in "VEVENT" or "VTODO"
            calendar component.

            Description: Specific venues such as conference or meeting rooms may
            be explicitly specified using this property. An alternate
            representation may be specified that is a URI that points to
            directory information with more structured specification of the
            location. For example, the alternate representation may specify
            either an LDAP URI pointing to an LDAP server entry or a CID URI
            pointing to a MIME body part containing a vCard [RFC 2426] for the
            location.

            Format Definition: The property is defined by the following notation:

              location   = "LOCATION locparam ":" text CRLF

              locparam   = *(

                         ; the following are optional,
                         ; but MUST NOT occur more than once

                         (";" altrepparam) / (";" languageparam) /

                         ; the following is optional,
                         ; and MAY occur more than once

                         (";" xparam)

                         )

            Example: The following are some examples of this property:

              LOCATION:Conference Room - F123, Bldg. 002

              LOCATION;ALTREP="http://xyzcorp.com/conf-rooms/f123.vcf":
               Conference Room - F123, Bldg. 002

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.fortuna.ical4j.model.Property
`ACTION, ATTACH, ATTENDEE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, FREEBUSY, GEO, LAST_MODIFIED, LOCATION, METHOD, ORGANIZER, PERCENT_COMPLETE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, SUMMARY, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

Constructor Summary
`Location()` Default constructor.
`Location(ParameterList aList, String aValue)`
`Location(String aValue)`

Method Summary
`String` | `getValue()`
`void` | `setValue(String aValue)` Sets the current value of the property.
`void` | `validate()` Perform validation on a property.

Methods inherited from class net.fortuna.ical4j.model.Property
`equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, isComponentProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Location

    public Location()

  Default constructor.

### Location

    public Location(String aValue)

Parameters:
  `aValue` - a value string for this component

### Location

    public Location(ParameterList aList,
                    String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

Method Detail

### validate

    public final void validate()
                        throws ValidationException

  Description copied from class: `Property`
  Perform validation on a property.

  Specified by:
    `validate` in class `Property`
  Throws:
    `ValidationException` - where the property is not in a valid state
  See Also:
    `Property.validate()`

### setValue

    public final void setValue(String aValue)

  Description copied from class: `Property`
  Sets the current value of the property.

  Specified by:
    `setValue` in class `Property`
  Parameters:
    `aValue` - a string representation of the property value

### getValue

    public final String getValue()

  Specified by:
    `getValue` in class `Property`
  Returns:
    Returns the value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.